summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorOri Bernstein <ori@eigenstate.org>2014-12-25 21:01:16 -0800
committerOri Bernstein <ori@eigenstate.org>2014-12-25 21:01:16 -0800
commitb744c317feeac6ba0b96d6d223e8acb3f2004b03 (patch)
tree94cfdcaccebdc0c3782fb6900a6c4557b043655d /test
parent8643ac098d6c0bb5b3a29d58141f5c29a65357cb (diff)
downloadmc-b744c317feeac6ba0b96d6d223e8acb3f2004b03.tar.gz
Get code to actually run on plan9.
Fuckin division and misnamed registers.
Diffstat (limited to 'test')
-rwxr-xr-xtest/runtest.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/test/runtest.sh b/test/runtest.sh
index e8ec3a8..7d775b8 100755
--- a/test/runtest.sh
+++ b/test/runtest.sh
@@ -24,6 +24,16 @@ function fail {
NFAILED=$[$NFAILED + 1]
}
+function expectstatus {
+ ./$1 $3
+ if [ $? -eq $2 ]; then
+ pass $1
+ return
+ else
+ fail $1
+ fi
+}
+
function expectprint {
if [ "`./$1 $3`" != "$2" ]; then
fail $1